$(document).ready(function () {

	// 轮播滚动
	//var mySwiper = $('.mui-slider').swiper({
	//	loop: true,
	//	pagination: '.dotted p',
	//	paginationClickable: true,
	//	spaceBetween: 30,
	//	autoplay: 3000,
	//	autoplayDisableOnInteraction: false,
	//	onSliderMove: function (swiper) {
	//		//如果光用此方法来申请app原生控件不拦截事件,在快速滑动的时候可能抢不到事件
	//		//还要配合下面的touch事件来获取
	//		isBeingDrag = true;
	//		WebViewSliderCallbackJavascriptInterface.RequestEvent(true);
	//		console.log("ON_SLIDER_MOVE");
	//	}
	//});

	// 轮播滚动事件监听
	$('.page1-lunbo').on('touchstart touchmove touchend touchcancel', function (event) {
		var FTouch = event.originalEvent.targetTouches[0];
		switch (event.type) {
			case "touchstart":
				m_LastClientX = FTouch.clientX;
				m_LastClientY = FTouch.clientY;
				m_IsBeingDrag = false;
				WebViewSliderCallbackJavascriptInterface.RequestEvent(true);
				console.log("TOUCH_START");
				break;
			case "touchmove":
				if (!m_IsBeingDrag) {
					var xDiff = Math.abs(FTouch.clientX - m_LastClientX);
					var yDiff = Math.abs(FTouch.clientY - m_LastClientY);
					//console.log(xDiff + "  " + yDiff);
					if (xDiff >= m_TouchSlop) {
						m_IsBeingDrag = true;
					} else if (yDiff > m_TouchSlop) {
						//产生app纵向滑动,父控件不强制请求放行事件,这段逻辑主要是不影响外层垂直滑动控件的滑动
						//js端控制滑动与app端的标准不一样,所以结合上面的onSliderMove:function方法来判断
						//如果H5端控件已经产生滑动时则必须请求父控件放行事件
						//如果有些开源控件没有类似onSliderMove方法时,只需提供控件是否产生滑动就行,原理都是一样
						m_IsBeingDrag = true;
						WebViewSliderCallbackJavascriptInterface.RequestEvent(false);
					}
				}
				console.log("TOUCH_MOVE");
				break;
			case "touchend":
				WebViewSliderCallbackJavascriptInterface.RequestEvent(false);
				console.log("TOUCH_END");
				break;
		}
	});
});

//app端的滑动值
var m_TouchSlop = 0;
//初次按下时的x, y轴值
var m_LastClientX, m_LastClientY;
//是否处于滑动中
var m_IsBeingDrag = false;
//js附值,在web加载完成时将android的滑动单位值传给js
function initTouchSlop(appTouchSlop) {
	m_TouchSlop = appTouchSlop;
}